blobs.presign
POST /api/v1/blobs/presign. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.publish permission on the board. Body…
POST
/api/v1/blobs/presign
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/blobs/presign \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "files": [ { "sha256": "example", "size": 1, "type": "example", "name": "example" } ] }'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.publish permission on the board. Body limit: 256 KB.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
board_id
string format: uuid
files
required
Array<object>
object
sha256
required
string
size
required
integer
type
required
string
name
string
Example generated
{ "board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "files": [ { "sha256": "example", "size": 1, "type": "example", "name": "example" } ]}Responses
Section titled “Responses”Success.
Media typeapplication/json
object
blobs
required
Example
{ "blobs": [ { "status": "missing" } ]}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}